// Test5.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "layoutgroupdemo.h"
#include "Test5.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CTest5 


CTest5::CTest5(CWnd* pParent /*=NULL*/)
	: CDialogLayout(CTest5::IDD, pParent, _T("CTest5"))
{
	//{{AFX_DATA_INIT(CTest5)
		// HINWEIS: Der Klassen-Assistent fgt hier Elementinitialisierung ein
	//}}AFX_DATA_INIT
	m_pPropSheet1 = NULL;
	m_pPropSheet2 = NULL;
	m_pPropSheet3 = NULL;
}


void CTest5::DoDataExchange(CDataExchange* pDX)
{
	CDialogLayout::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTest5)
		// HINWEIS: Der Klassen-Assistent fgt hier DDX- und DDV-Aufrufe ein
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTest5, CDialogLayout)
	//{{AFX_MSG_MAP(CTest5)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CTest5 

BOOL CTest5::OnInitDialog() 
{
	CDialogLayout::OnInitDialog();

	m_pPropSheet1 = new CModePropertySheet(this);
	m_pPropSheet2 = new CModePropertySheet(this);
	m_pPropSheet3 = new CModePropertySheet(this);

	if(!m_pPropSheet1||!m_pPropSheet2||!m_pPropSheet3)
		{
		delete m_pPropSheet1;
		delete m_pPropSheet2;
		delete m_pPropSheet3;
		m_pPropSheet1 = NULL;
		m_pPropSheet2 = NULL;
		m_pPropSheet3 = NULL;
		return false;
		}

	if (!m_pPropSheet1->Create(this, 
		WS_CHILD | WS_VISIBLE, 0))
		{
		delete m_pPropSheet1;
		m_pPropSheet1 = NULL;
		return false;
		}

	if (!m_pPropSheet2->Create(this, 
		WS_CHILD | WS_VISIBLE, 0))
		{
		delete m_pPropSheet1;
		delete m_pPropSheet2;
		m_pPropSheet1 = NULL;
		m_pPropSheet2 = NULL;
		return false;
		}

	if (!m_pPropSheet3->Create(this, 
		WS_CHILD | WS_VISIBLE, 0))
		{
		delete m_pPropSheet1;
		delete m_pPropSheet2;
		delete m_pPropSheet3;
		m_pPropSheet1 = NULL;
		m_pPropSheet2 = NULL;
		m_pPropSheet3 = NULL;
		return false;
		}

	m_pPropSheet2->LabelAdjust(LABEL_BOTTOM);
	m_pPropSheet1->SetActivePage(1);
	m_pPropSheet3->SetActivePage(2);

	VGroup();
		HGroup();
			AddChild(m_pPropSheet1);
			VGroup();
				AddChild(m_pPropSheet2);
				AddChild(m_pPropSheet3);
				EndGrp;
			EndGrp;
		AddLine();
		AddChild(IDC_STATIC_TAB,FIX_VERT);
		AddLine();
		HGroup();
			AddSpace(0);
			AddChild(IDOK,NORESIZE);
			EndGrp;
		EndGrp;
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

/**********************************************************************/

BOOL CTest5::DestroyWindow() 
{
	delete m_pPropSheet1;
	delete m_pPropSheet2;
	delete m_pPropSheet3;
	return CDialogLayout::DestroyWindow();
}

/**********************************************************************/
